# Rack::Auth::Slack

Rack Authentication middleware for Slack API [signed secrets](https://api.slack.com/docs/verifying-requests-from-slack).

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'rack-auth-slack'
```

And then execute:

    $ bundle

## Usage

Add to your Rack middleware pipeline in `config.ru` and pass your secret as the first argument:

```ruby
use Rack::Auth::Slack, ENV["SLACK_SECRET"]
run MyApp
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/rack-auth-slack. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Rack::Auth::Slack project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/rack-auth-slack/blob/master/CODE_OF_CONDUCT.md).
